# Function isLayerWithLegendEnabledProperty

- isLayerWithLegendEnabledProperty(layer): layer is LayerWithLegendEnabledProperty

- This list should contains all the layers which do not have the legendEnable property. The data source can be found on the API reference / documentation.

  #### Parameters

  - layer: unknown

    The layer to interrogate.

  #### Returns layer is LayerWithLegendEnabledProperty